aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/deps.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-26 11:17:49 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-26 17:11:17 +0100
commit794bae3767446c8e0108bb74cc76ce505f23abd3 (patch)
tree2be59f63430f1521d5b0a1ebdb6b2636bda7ae51 /deps.sh
parentbump dependencies (diff)
downloadblog-794bae3767446c8e0108bb74cc76ce505f23abd3.tar.gz
blog-794bae3767446c8e0108bb74cc76ce505f23abd3.zip
add deps.sh to install working versions2018
Diffstat (limited to 'deps.sh')
-rwxr-xr-xdeps.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/deps.sh b/deps.sh
new file mode 100755
index 0000000..0f06db4
--- /dev/null
+++ b/deps.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
+
+rbenv install --skip-existing "$( cat .ruby-version )"
+rbenv rehash
+
+gem install bundler -v "$( tail -n 1 Gemfile.lock )"
+rbenv rehash
+
+bundle install
+rbenv rehash